## org.apache.lucene.codecs.simpletext
Class SimpleTextFieldInfosWriter

    java.lang.Object
      org.apache.lucene.codecs.FieldInfosWriter
          org.apache.lucene.codecs.simpletext.SimpleTextFieldInfosWriter

    public class SimpleTextFieldInfosWriter

extends FieldInfosWriter

writes plaintext field infos files

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SimpleTextFieldInfosWriter()`

Method Summary
`void` `write(Directory directory, String segmentName, FieldInfos infos, IOContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextFieldInfosWriter

    public SimpleTextFieldInfosWriter()

Method Detail

### write

    public void write(Directory directory,
                      String segmentName,
                      FieldInfos infos,
                      IOContext context)
               throws IOException

  Specified by:
    `write` in class `FieldInfosWriter`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.